API Reference for Marketo Engage

Update Email Content

POST /rest/asset/v1/email/{id}/content.json

Updates the content of an email.

Operation ID
updateEmailContentUsingPOST
Permissions
Read-Write Assets
Request format
application/x-www-form-urlencoded
Returns
ResponseOfIdResponse

Parameters

Path 1

id integer (int32) required

Request body

application/x-www-form-urlencoded · required · UpdateEmailComponentDataRequest · 12 properties

Sent as URL-encoded form fields. Object properties are sent as JSON text in their field.

fromEmail EmailHeaderField

From-address of the Email

Model EmailHeaderField

type string required

Field type

value string required

Value of field

fromName EmailHeaderField

From-name of the Email

Model EmailHeaderField

type string required

Field type

value string required

Value of field

replyTO EmailHeaderField

Reply-To address of the Email

Model EmailHeaderField

type string required

Field type

value string required

Value of field

subject EmailHeaderField

Subject Line of the Email

Model EmailHeaderField

type string required

Field type

value string required

Value of field

Responses

200 OK ResponseOfIdResponse
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of IdResponse

Model IdResponse

id integer (int32) required

Id of the asset

success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results